package com.ho.business.mapper;

import com.ho.business.entity.PlanningIssueComm;
import com.ho.business.entity.TabSort;
import com.ho.business.vo.resp.tabSort.TabSortExcel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabSortMapper {

    public List<TabSort> queryIssueDatas(TabSort tabSort);

    public List<PlanningIssueComm> queryPlanControlIssueData(String deviceType);

    public String getStationSn(Integer stationId);

    TabSort queryTabSortById(Integer id);

    List<TabSortExcel> queryExcelDatas(TabSort tabSort);

    String getColNameByCol(@Param("col") String col,@Param("deviceType")String deviceType);

}
